Subject: Re: bug#32864: 26.1; menus don't work correctly in Mac OS Mojave

From: Artemio González López <[email-masked]>
Date: Mon, 01 Oct 2018 15:12:59 +0200

> On Sep 28, 2018, at 9:49 PM, Alan Third <[email-masked]> wrote:
> 
> On Fri, Sep 28, 2018 at 09:43:55PM +0200, Artemio González López wrote:
>> 
>>> On Sep 28, 2018, at 9:40 PM, Alan Third <[email-masked]> wrote:
>>> 
>>> On Fri, Sep 28, 2018 at 07:40:31PM +0200, Artemio González López wrote:
>>>> 
>>>> Emacs 26.1 menus don’t work correctly in macOS 10.14 Mojave (just
>>>> released this week). More, precisely, to make a menu drop down you
>>>> have to click twice on the corresponding menu title (except for the
>>>> Emacs menu!). If you just click once nothing happens, but if you
>>>> click a second time on a different menu that menu drops down.
>>>> 
>>>> 
>>>> In GNU Emacs 26.1 (build 1, x86_64-apple-darwin14.5.0, NS
>>>> appkit-1348.17 Version 10.10.5 (Build 14F2511)) of 2018-05-31 built
>>>> on builder10-10.porkrind.org
>>> 
>>> Thanks for the report. I wonder if this is specific to the
>>> emacsformacosx.com builds or if a native 10.14 build would do the same
>>> thing...?
>>> 
>>> Is there any chance you could build emacs 26 yourself to check? Or if
>>> anyone else with 10.14 can confirm, that would be great.
>>> 
>>> The NS menus seem to be a bit kludgy, so they’re probably due for a
>>> bit of refactoring anyway.
>> 
>> Hi, Alan,
>> 
>> I’ll try to build Emacs.app myself. In the meantime, I can confirm
>> that 1) I’ve had the problem with at least two builds of Emacs
>> (Macport’s and Emacs for Mac OS X), and 2) a colleague of mine at
>> work who just installed Mojave has had the same problem with the
>> same builds of Emacs.
> 
> Thanks. Let know how it goes.
> 
> BTW, please leave the bug tracker email address in so your email
> doesn’t get lost.
> -- 
> Alan Third

Hi, Alan,

I just compiled Emacs.app 26.1 on my own, and it has exactly the same problem. To be more precise, what seems to happen is that the first click on a menu title does nothing, and the second one drops the menu down. For instance, if you click on the File menu nothing happens, but if you then click on the Buffer menu it drops down normally. Thus, clicking twice on a menu drops it down. Strangely enough, the Emacs menu is an exception, since it works correctly (drops down after one click).

Thanks a lot for your help,

Artemio

Artemio Gonzalez Lopez
[email-masked]